Subject: Re: [GROW] AD review of: draft-ietf-grow-bmp-adj-rib-out

From: "Tim Evens (tievens)" <[email-masked]>
Date: Sat, 1 Jun 2019 09:25:04 +0000

Hi Warren, 

Thanks for the feedback.  We are incorporating these changes in the next revision.  

--Tim

> On May 31, 2019, at 2:15 AM, Warren Kumari <[email-masked]> wrote:
> 
> Hi there,
> 
> Thanks to the authors and WG for this document -- it provides a useful
> mechanism / enhancement, is well written, and easy to understand.
> 
> I do have a few editorial comments that I'd like to see addressed
> before starting IETF LC. Note that these are mostly nit type things,
> and could be handled by the RFC Editor; but fixing them now will both
> remove load from the RFC Ed, and also make it easier / more pleasant
> for people reading during IETF LC, directorate reviewers and the IESG
> (also, once people start complaining about editorial stuff it often
> spirals into larger issues :-)).
> 
> 1: "This document updates BGP Monitoring Protocol ..." - I think this
> is missing "the"
> 
> 2: "Adding Adj-RIB-Out enables the ability for a BMP sender... " - I
> suggest "provides the ability"
> 
> 3: "As with Adj-RIB-In policy validation, there are use-cases that
> pre-policy Adj-RIB-Out is used to validate and audit outbound
> policies."  - I find this sentence confusing. How is: "Similarly to
> Adj-RIB-In policy validation, pre-policy Adj-RIB-Out can be used to
> validate and audit outbound policies."? Or can the sentence be
> reworded?
> 
> 4: "Some attributes are set only during transmission of the BGP
> message, e.g.  Post-Policy."  -- I don't think the "e.g. Post-Policy"
> bit makes sense here - perhaps "ie. Post-Policy" was what was
> intended? Or can that just be dropped (I don't think it adds
> anything).
> 
> 5: "In this use-case, there maybe hundreds of wholesale peers but a
> single peer could have represented the  group.
>  A single peer could be used to represent a group." -- duplicate?
> Also, "maybe" should be "may be".
> 
> Again, I fully get that these are nits / editorial issues, but
> addressing them now help avoid issues later in the process...
> 
> W
> 
> -- 
> I don't think the execution is relevant when it was obviously a bad
> idea in the first place.
> This is like putting rabid weasels in your pants, and later expressing
> regret at having chosen those particular rabid weasels and that pair
> of pants.
>   ---maf
> 
> _______________________________________________
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow